WSDiscovery10::Types::FaultCodeOpenType(3)

NAME

DESCRIPTION
Perl data type class for the XML Schema defined simpleType FaultCodeOpenType from the namespace http://schemas.xmlsoap.org/ws/2005/04/discovery.

This type class is derived by union.

Derivation by union is not fully supported yet - value space constraints are not checked yet.

The current implementation of union resorts to inheriting from the base type, which means (quoted from the XML Schema specs): "If the <list> or <union> alternative is chosen, then the simple ur-type definitionAX."

METHODS

  new
Constructor.

  get_value / set_value
Getter and setter for the simpleType's value.

OVERLOADING
Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check SOAP::WSDL::XSD::Typelib::Builtin for more information.

AUTHOR
Generated by SOAP::WSDL